<!-- This comment will put IE 6, 7 and 8 in quirks mode -->
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<title>m17n ライブラリ: 構造体 MFaceBoxProp</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javaScript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css"/>
</head>
<body onload='searchBox.OnSelectItem(0);'>
<!-- 作成： Doxygen 1.6.3 -->
<script type="text/javascript"><!--
var searchBox = new SearchBox("searchBox", "search",false,'検索');
--></script>
<div class="navigation" id="top">
  <div class="tabs">
    <ul>
      <li><a href="index.html"><span>メインページ</span></a></li>
      <li><a href="pages.html"><span>関連ページ</span></a></li>
      <li><a href="modules.html"><span>モジュール</span></a></li>
      <li class="current"><a href="annotated.html"><span>データ構造</span></a></li>
      <li><a href="files.html"><span>ファイル</span></a></li>
      <li>
        <div id="MSearchBox" class="MSearchBoxInactive">
        <img id="MSearchSelect" src="search/search.png"
             onmouseover="return searchBox.OnSearchSelectShow()"
             onmouseout="return searchBox.OnSearchSelectHide()"
             alt=""/>
        <input type="text" id="MSearchField" value="検索" accesskey="S"
             onfocus="searchBox.OnSearchFieldFocus(true)" 
             onblur="searchBox.OnSearchFieldFocus(false)" 
             onkeyup="searchBox.OnSearchFieldChange(event)"/>
        <a id="MSearchClose" href="javascript:searchBox.CloseResultsWindow()"><img id="MSearchCloseImg" border="0" src="search/close.png" alt=""/></a>
        </div>
      </li>
    </ul>
  </div>
  <div class="tabs">
    <ul>
      <li><a href="annotated.html"><span>データ構造</span></a></li>
      <li><a href="classes.html"><span>データ構造索引</span></a></li>
      <li><a href="functions.html"><span>データフィールド</span></a></li>
    </ul>
  </div>
</div>
<div class="contents">
<h1>構造体 MFaceBoxProp<br/>
<small>
[<a class="el" href="group__m17nFace.html">フェース</a>]</small>
</h1><!-- doxytag: class="MFaceBoxProp" -->
<p>フェースの囲み枠指定用型宣言.  
<a href="#_details">[詳細]</a></p>
<table border="0" cellpadding="0" cellspacing="0">
<tr><td colspan="2"><h2>変数</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">unsigned&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structMFaceBoxProp.html#ab83066ac1f68f709615b5cbc2f7c3322">width</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="group__m17nSymbol.html#ga0f53a95817f0b5c26442f8e12f89c16d">MSymbol</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structMFaceBoxProp.html#a91d86346c5d008b1de28e1d2c63f50e0">color_top</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="group__m17nSymbol.html#ga0f53a95817f0b5c26442f8e12f89c16d">MSymbol</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structMFaceBoxProp.html#a19fcb172ac3416b83d339b2aa7a729e1">color_bottom</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="group__m17nSymbol.html#ga0f53a95817f0b5c26442f8e12f89c16d">MSymbol</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structMFaceBoxProp.html#aa65b5f76d42c04314ed016e1313371c7">color_left</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="group__m17nSymbol.html#ga0f53a95817f0b5c26442f8e12f89c16d">MSymbol</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structMFaceBoxProp.html#a05d85b49bbf82389797b3db9d2156804">color_right</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">unsigned&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structMFaceBoxProp.html#ac930be6305b09b92bfc59632cedb0888">inner_hmargin</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">unsigned&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structMFaceBoxProp.html#a77d5aa80ca8407be0c4c5ac7d426bd8d">inner_vmargin</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">unsigned&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structMFaceBoxProp.html#afef6a830345bf42aaf4c044f0bdaac20">outer_hmargin</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">unsigned&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structMFaceBoxProp.html#ab5e4b4fe78b8f476fa6c94d678cf4465">outer_vmargin</a></td></tr>
</table>
<hr/><a name="_details"></a><h2>説明</h2>
<p>フェースの囲み枠指定用型宣言. </p>
<p><a class="el" href="structMFaceBoxProp.html" title="フェースの囲み枠指定用型宣言.">MFaceBoxProp</a> はフェースの <a class="el" href="group__m17nFace.html#gaef4de28536a14fa67b45d4adc9c03d0f" title="囲み枠を指定するためのフェースプロパティーのキー.">Mbox</a> プロパティの詳細を指定する型である。 このプロパティの値はこの型のオブジェクトへのポインタでなくてはならない。 </p>
<hr/><h2>構造体</h2>
<a class="anchor" id="ab83066ac1f68f709615b5cbc2f7c3322"></a><!-- doxytag: member="MFaceBoxProp::width" ref="ab83066ac1f68f709615b5cbc2f7c3322" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">unsigned <a class="el" href="structMFaceBoxProp.html#ab83066ac1f68f709615b5cbc2f7c3322">MFaceBoxProp::width</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">
<p>線幅（ピクセル単位）. </p>

</div>
</div>
<a class="anchor" id="a91d86346c5d008b1de28e1d2c63f50e0"></a><!-- doxytag: member="MFaceBoxProp::color_top" ref="a91d86346c5d008b1de28e1d2c63f50e0" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="group__m17nSymbol.html#ga0f53a95817f0b5c26442f8e12f89c16d">MSymbol</a> <a class="el" href="structMFaceBoxProp.html#a91d86346c5d008b1de28e1d2c63f50e0">MFaceBoxProp::color_top</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">
<p>Colors of borders. </p>

</div>
</div>
<a class="anchor" id="a19fcb172ac3416b83d339b2aa7a729e1"></a><!-- doxytag: member="MFaceBoxProp::color_bottom" ref="a19fcb172ac3416b83d339b2aa7a729e1" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="group__m17nSymbol.html#ga0f53a95817f0b5c26442f8e12f89c16d">MSymbol</a> <a class="el" href="structMFaceBoxProp.html#a19fcb172ac3416b83d339b2aa7a729e1">MFaceBoxProp::color_bottom</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">

</div>
</div>
<a class="anchor" id="aa65b5f76d42c04314ed016e1313371c7"></a><!-- doxytag: member="MFaceBoxProp::color_left" ref="aa65b5f76d42c04314ed016e1313371c7" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="group__m17nSymbol.html#ga0f53a95817f0b5c26442f8e12f89c16d">MSymbol</a> <a class="el" href="structMFaceBoxProp.html#aa65b5f76d42c04314ed016e1313371c7">MFaceBoxProp::color_left</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">

</div>
</div>
<a class="anchor" id="a05d85b49bbf82389797b3db9d2156804"></a><!-- doxytag: member="MFaceBoxProp::color_right" ref="a05d85b49bbf82389797b3db9d2156804" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="group__m17nSymbol.html#ga0f53a95817f0b5c26442f8e12f89c16d">MSymbol</a> <a class="el" href="structMFaceBoxProp.html#a05d85b49bbf82389797b3db9d2156804">MFaceBoxProp::color_right</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">

</div>
</div>
<a class="anchor" id="ac930be6305b09b92bfc59632cedb0888"></a><!-- doxytag: member="MFaceBoxProp::inner_hmargin" ref="ac930be6305b09b92bfc59632cedb0888" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">unsigned <a class="el" href="structMFaceBoxProp.html#ac930be6305b09b92bfc59632cedb0888">MFaceBoxProp::inner_hmargin</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">
<p>Margins </p>

</div>
</div>
<a class="anchor" id="a77d5aa80ca8407be0c4c5ac7d426bd8d"></a><!-- doxytag: member="MFaceBoxProp::inner_vmargin" ref="a77d5aa80ca8407be0c4c5ac7d426bd8d" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">unsigned <a class="el" href="structMFaceBoxProp.html#a77d5aa80ca8407be0c4c5ac7d426bd8d">MFaceBoxProp::inner_vmargin</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">

</div>
</div>
<a class="anchor" id="afef6a830345bf42aaf4c044f0bdaac20"></a><!-- doxytag: member="MFaceBoxProp::outer_hmargin" ref="afef6a830345bf42aaf4c044f0bdaac20" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">unsigned <a class="el" href="structMFaceBoxProp.html#afef6a830345bf42aaf4c044f0bdaac20">MFaceBoxProp::outer_hmargin</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">

</div>
</div>
<a class="anchor" id="ab5e4b4fe78b8f476fa6c94d678cf4465"></a><!-- doxytag: member="MFaceBoxProp::outer_vmargin" ref="ab5e4b4fe78b8f476fa6c94d678cf4465" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">unsigned <a class="el" href="structMFaceBoxProp.html#ab5e4b4fe78b8f476fa6c94d678cf4465">MFaceBoxProp::outer_vmargin</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">

</div>
</div>
</div>
<!--- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
<a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(0)"><span class="SelectionMark">&nbsp;</span>全て</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(1)"><span class="SelectionMark">&nbsp;</span>データ構造</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(2)"><span class="SelectionMark">&nbsp;</span>ファイル</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(3)"><span class="SelectionMark">&nbsp;</span>関数</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(4)"><span class="SelectionMark">&nbsp;</span>変数</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(5)"><span class="SelectionMark">&nbsp;</span>型定義</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(6)"><span class="SelectionMark">&nbsp;</span>列挙型</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(7)"><span class="SelectionMark">&nbsp;</span>列挙型の値</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(8)"><span class="SelectionMark">&nbsp;</span>マクロ定義</a></div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<!-- -*- coding: utf-8; -*- -->
<hr>

<ADDRESS>
<a href="http://www.m17n.org/m17n-lib-ja/index.html" target="mulewindow"><img src="parrot.png" align=bottom alt="m17n-lib Home" border=0></a>
</ADDRESS>
</body>
</HTML>

<!-- Copyright information

Copyright (C) 2001 Information-technology Promotion Agency (IPA)
Copyright (C) 2001-2011
  National Institute of Advanced Industrial Science and Technology (AIST)

This file is part of the m17n library documentation.

Permission is granted to copy, distribute and/or modify this document
under the terms of the GNU Free Documentation License, Version 1.2 or
any later version published by the Free Software Foundation; with no
Invariant Section, no Front-Cover Texts,
and no Back-Cover Texts.  A copy of the license is included in the
appendix entitled "GNU Free Documentation License".
-->
